TAAS - Feature #186

Transfer Cancel
05/03/2023 02:37 PM - Junaid M

Status: Reopen Bugs Start date: 05/03/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Transfer Cancel

Description

Coding Transfer Cancel

History

#1 - 05/08/2023 10:12 AM - Shanto Shaji
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 07/06/2023 03:38 PM - Amal Cyriac

- Status changed from Coding Started to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove SAR from GUI

2.Set alignment on drop down label toggle

3.Use proper alerts

(LPO No. required alert)

4.Fix bugs on date picker - Set range & proper validations
5.Set tool tips on GUI - LPO No. date picker , Service provider
6.Set validations on check box - Pick up & Drop off

(Input box must Enable/Disable based on check box)

7.Fix bugs on airline input box

8.Transfer details tab - Add details popup - bugs on pax details missing
9.Fix bugs on transfer details - Spell mistakes & Grid resize

#3 - 07/10/2023 11:44 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#4 - 07/22/2023 06:01 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.UlI CRASHING WHILE ADDING ISSUED TICKET
2.REMOVE NAME FROM APPROVED BY

#5 - 08/02/2023 04:47 PM - unnikannan S
ISSUE FOUNDED

FIXED - 1.ADD ACCOUNTS THOSE ACT US CUSTOMER-COMMISSION AGENT,EMPLOYEE
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -
FIXED -

2.REMOVE APPROVED BY NAME

3.CORRECT THE FORMAT OF POSTING STATUS

4. SHOWING ALL PAX DETAILS IN FILTER GRID PAX DETAILS

5.NOT SHOWING CANCELED TICKETS

6.ADD ACCOUNTS THOSE ACT US COMMISSION AGENT-EMPLOYEE,CUSTOMER
7.ADD ACCOUNTS THOSE ACT US SUPPLIER-COA,CUSTOMER,AIRLINE

8.SHOW ANCILLARY SERVICE AS PER CHOOSEN

9.SHOWING NAN IN FARE-PRICE

10.CORRECT THE ALLIGMENT OF COMMISSION AGENT TAB

11.RE-DIRECT ISSUE

12.ERROR WHILE CHOOSING EDIT MODE FROM NOT REPORTED REFUND MODULE
13.DUPLICATION IN TRANSFER VOUCHER/TICKET VOUCHER SEARCH MODULES
14.CORRECT THE LABELS POSITION RECEIVABLE AND PAYABLE IN FARE
15.CONNECT MODULE WITH SUPPLIER SERVICE WISE SOA

16.ERROR WHILE ADDING CUSTOMER/FOP THOSE ACCOUNT SETTED AS BRANCH CONTROL ACCOUNT
17.MISSING ADDED VOID CHECK BOX IN CANCEL GUI AFTER SAVE

18.CANCEL DATE GOING TO PAST DATE WHILE SAVE AND RELOAD
19.Transfer->Provider->Autocomplete

20.ERROR IN SAVE

#6 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#7 - 08/10/2024 07:40 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#8 - 09/27/2024 10:42 AM - Anil KV
Work finish 27/09/24 - Billing Tax and Bugs

#9 - 10/07/2024 05:52 PM - Junaid M

- Status

changed from Reopen Bugs to New Changes

#10 - 10/08/2024 11:41 AM - Arathy PS

- Status

changed from New Changes to Reopen Bugs

ISSUE FOUND

FIXED -

1)Can't load data from transfer issue.

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Transfer Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#11 - 11/23/2024 05:40 PM - Arathy PS

- Status

changed from Reopen Bugs to New Changes

NEW CHANGES

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>

->Add

'Import' Button after 'Sequence' button

* Check Account or JV import

- File

*(Red) file Chooser

—-Left Side

*File

Avoid First Number of Rows <input>

Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>
Child <input>
Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons
—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped. click then open attachemnt u
pload for pax name

—-> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachment upload for pa
X name.

#12 - 01/08/2025 03:56 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee or other
fare components in customer side from sale.
2. Can change the mandatory fields filled in voucher stock after loading them here.

NEW CHANGES

1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

-->'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

NEW CHANGES

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#13 - 03/11/2025 12:44 PM - Theja Ponon
- File clipboard-202503111242-zc75r.png added

Issue Found

B Ne
Customer Transfer Fare | Additional Pax | Transfer Details  Custom Data AP Sharing
+ Ado & import T @ & B
Lupod | 2 T a 8 m
# Type File Name Details Upload Date&Time Upload User
1 Other Bank ImportiAccount)xisx 10/03/2025 03:52 PM Administrator ® & S @
NOT A BUG - 2)Not showing Add fare popup - Pax Fare not needed in Transfer Issue/ Cancel. Instead, it has 'Transfer Details'.
FIXED - 2)Corporate card given on AP sharing is remove on focus out
FIXED - 3)Asking to allow partial payment in case of paying full amount through AP Sharing

#14 - 03/20/2025 04:58 PM - Baseem Shan

Implemented Set Fee/ Discount.

#15 - 03/21/2025 01:43 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#16 - 04/12/2025 02:00 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we do old refund reverse tax from sale is showing.

Files
clipboard-202503111242-z¢75r.png 95.5 KB 03/11/2025 Theja Ponon
